# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import algo_pb2 as algo__pb2


class AlgoStub(object):
    """The greeting service definition.
    """

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.GetBestPlacement = channel.unary_unary(
                '/algo.Algo/GetBestPlacement',
                request_serializer=algo__pb2.AlgoRequest.SerializeToString,
                response_deserializer=algo__pb2.AlgoReply.FromString,
                )


class AlgoServicer(object):
    """The greeting service definition.
    """

    def GetBestPlacement(self, request, context):
        """Sends computation
        """
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_AlgoServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'GetBestPlacement': grpc.unary_unary_rpc_method_handler(
                    servicer.GetBestPlacement,
                    request_deserializer=algo__pb2.AlgoRequest.FromString,
                    response_serializer=algo__pb2.AlgoReply.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'algo.Algo', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Algo(object):
    """The greeting service definition.
    """

    @staticmethod
    def GetBestPlacement(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/algo.Algo/GetBestPlacement',
            algo__pb2.AlgoRequest.SerializeToString,
            algo__pb2.AlgoReply.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
